Skip to main content
GET
Python

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234_abcdef

Query Parameters

time_from
string<date-time>
required

Start of the reservation period (ISO 8601). The period must not exceed 31 days. The API returns monthly pricing for this period.

Example:

"2025-01-01T00:00:00Z"

time_to
string<date-time>
required

End of the reservation period (ISO 8601). The period must not exceed 31 days. The API returns monthly pricing for this period.

Example:

"2025-02-01T00:00:00Z"

metric_name
string

Metric name for the resource (e.g., 'bm1-hf-medium_min')

order_by
enum<string>
default:active_from.desc

Order by field and direction.

Available options:
active_from.asc,
active_from.desc,
active_to.asc,
active_to.desc
Examples:

"active_from.asc"

"active_to.asc"

region_id
integer

Region for reservation

Response

200 - application/json

OK

count
integer
required

Number of objects

Required range: x >= 0
Example:

1

results
BillingReservationV2ItemResponseSerializer · object[]
required

Objects